Create Invite
const url = 'https://api.exolink.cloud/tenant/example/invite';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"receiver":["hello@example.com"],"role":"Owner","language":"en"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.exolink.cloud/tenant/example/invite \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "receiver": [ "hello@example.com" ], "role": "Owner", "language": "en" }'Create an invitation token for new tenant users and mail it to the receivers, if any
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Tenant domain prefix
Request Bodyrequired
Section titled “Request Bodyrequired”object
User role in a tenant
Language for the invitation email. Defaults to the inviter’s language.
Example
enResponses
Section titled “Responses”Invitation created successfully
object
Token to pass as invitation on signup or login
Example generated
{ "invitationToken": "example"}Missing, invalid or expired credentials
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Validation or verification failed
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Missing parameter: displayName", "errorCode": "ERR_API_VALIDATION_FAILED"}